---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/get-queue.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting queue parameters

Use this request to get information about a queue.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/&lt;queue_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get queue information, use an HTTP `GET` request.

```
GET /v3/queues/<queue_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth-token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
----- | ----- | -----
| \<queue_ID\> | Queue ID or key. The queue key is case-sensitive. | String or number |

{% endcut %}

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| expand | Additional fields to include in the response The possible values include:<ul><li>`all`: All additional fields of the queue will be included in the response.</li><li>`projects`: Queue projects.</li><li>`components`: Queue components.</li><li>`versions`: Queue versions.</li><li>`types`: Issue types.</li><li>`team`: List of queue team members.</li><li>`workflows`: List of workflows.</li><li>`fields`: Required queue fields.</li><li>`issueTypesConfig`: Settings of queue issue types.</li></ul> | String |

{% endcut %}

> Example: Get queue information.
>
> - HTTP `GET` method is used.
> - All additional fields are displayed in the response.
>
> ```
> GET https://api.tracker.yandex.net/v3/queues/TEST?expand=all
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    ```json
    {
        "self": "https://api.tracker.yandex.net/v3/queues/TEST",
        "id": "3",
        "key": "TEST",
        "version": 5,
        "name": "Test",
        "description": "Queue created for testing purposes",
        "lead": {
               "self": "https://api.tracker.yandex.net/v3/users/11********",
               "id": "11********",
               "display": "Ivan Ivanov"
        },
        "assignAuto": false,
        "defaultType": {
               "self": "https://api.tracker.yandex.net/v3/issuetypes/1",
               "id": "1",
               "key": "bug",
               "display": "Error"
        },
        "defaultPriority": {
               "self": "https://api.tracker.yandex.net/v3/priorities/3",
               "id": "3",
               "key": "normal",
               "display": "Normal"
        },
        "teamUsers": [
               {
                   "self": "https://api.tracker.yandex.net/v3/users/11********",
                   "id": "11********",
                   "display": "Ivan Ivanov"
               },
               ...
        ],
        "issueTypes": [
               {
                   "self": "https://api.tracker.yandex.net/v3/issuetypes/1",
                   "id": "1",
                   "key": "bug",
                   "display": "Error"
               },
               ...
        ],
        "versions": [
               {
                   "self": "https://api.tracker.yandex.net/v3/versions/4",
                   "id": "4",
                   "display": "Peek-a-boo"
            }
        ],
        "workflows": {
               "dev": [
                   {
                        "self": "https://api.tracker.yandex.net/v3/issuetypes/1",
                        "id": "1",
                        "key": "bug",
                        "display": "Errror"
                    },
                    ...
               ]
        },
        "denyVoting": false,
        "issueTypesConfig": [
               {
                   "issueType": {
                          "self": "https://api.tracker.yandex.net/v3/issuetypes/1",
                          "id": "1",
                          "key": "bug",
                          "display": "Error"
                },
                "workflow": {
                          "self": "https://api.tracker.yandex.net/v3/workflows/dev",
                          "id": "dev",
                          "display": "dev"
                },
                "resolutions": [
                       {
                          "self": "https://api.tracker.yandex.net/v3/resolutions/2",
                          "id": "2",
                          "key": "wontFix",
                          "display": "Won't fix"
                       },
                    ...
                ]
            },
            ...
        ]
    }
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Queue link | String |
    | id | Queue ID | Number in string format |
    | key | Queue key | String |
    | version | Queue version. Each change to the queue increases its version number. | Number |
    | name | Queue name | String |
    | description | Text description of the queue | String |
    | [lead](#lead) | Block with information about the queue owner | Map item |
    | assignAuto | Automatically assign new issues in the queue:<ul><li>`true`: Assign</li><li>`false`: Do not assign</li></ul> | Boolean |
    | [defaultType](#default-type) | Block with information about the default issue type | Map item |
    | [defaultPriority](#default-priority) | Block with information about the default issue priority | Map item |
    | [teamUsers](#team-users) | Array with information about queue team members | Array of objects |
    | [issueTypes](#issue-types) | Array with information about queue issue types | Array of objects |
    | [versions](#versions) | Array with information about queue versions | Array of objects |
    | [workflows](#workflows) | List of queue workflows and their issue types | Array |
    | denyVoting | Flag that indicates if voting for issues is enabled | Boolean |
    | [issueTypesConfig](#issue-types-config) | Array with queue issue settings | Array of objects |

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `defaultType` **object fields** {#default-type}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the issue type | String |
    | id | ID of the issue type | String |
    | key | Key of the issue type | String |
    | display | Issue type name displayed | String |

    `defaultPriority` **object fields** {#default-priority}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the priority type | String |
    | id | Priority ID | String |
    | key | Priority key | String |
    | display | Priority name displayed | String |

    `teamUsers` **array object fields** {#team-users}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the user | String |
    | id | User ID | String |
    | display | User name displayed | String |

    `issueTypes` **array object fields** {#issue-types}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the issue type | String |
    | id | ID of the issue type | String |
    | key | Key of the issue type | String |
    | display | Issue type name displayed | String |

    `versions` **array object fields** {#versions}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the queue version | String |
    | id | Version ID | String |
    | display | Version name displayed | String |

    `workflows` **array object fields** {#workflows}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the issue type | String |
    | id | ID of the issue type | String |
    | key | Key of the issue type | String |
    | display | Issue type name displayed | String |

    `issueTypesConfig` **array object fields** {#issue-types-config}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | [issueType](#issue-type) | Block with information about the issue type | Map item |
    | [workflow](#workflow) | Block with information about the issue type workflow | Map item |
    | [resolutions](#resolutions) | Array with possible issue type resolutions | Array of objects |

    `issueType` **object fields** {#issue-type}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the issue type | String |
    | id | ID of the issue type | String |
    | key | Key of the issue type | String |
    | display | Issue type name displayed | String |

    `workflow` **object fields** {#workflow}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the workflow object | String |
    | id | Workflow ID | String |
    | display | Workflow name displayed | String |

    `resolutions` **array object fields** {#resolutions}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the resolution object | String |
    | id | Resolution ID | String |
    | key | Resolution ID | String |
    | display | Resolution name displayed | String |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
